%clear all; clc; clf;
function [IRr,IRi,IRint]=dokt_ir2interp_v2(IR1,IR2,fs,bit,k,OFFS,TWIN);
%OFFS=0;
%TWIN=3*14;
%k=0.5;

%[IR1,fs,bit]=wavread('C:\HIL\LisztZeneakademia_Nagyterem\Impulse\z_5_R_c1_i.wav'); 
%[IR2,fs,bit]=wavread('C:\HIL\LisztZeneakademia_Nagyterem\Impulse\z_21_R_c1_i.wav'); 

[vv1,vv2,tt1,tt2]=dokt_ir2int2mx(IR1,IR2,fs,bit,k,OFFS,TWIN);
L=length(tt1);

% szignifikánsok berakása
vvu=k.*vv1+(1-k).*vv2; ttu=round(k.*tt1+(1-k).*tt2);
IRi=zeros(max(max(tt1),max(tt2))+TWIN,1);
for i=1:L-1,
    IRi(ttu(i+1)-TWIN/2+1:ttu(i+1)+TWIN/2)=vvu(:,i);
end;

%n=1;
%plot(vv1(:,n));hold all; plot(vv2(:,n)); plot(vvu(:,n)); hold off;

% maradék nyújtása

IRr=[]; z=zeros(TWIN,1);
for i=2:L,
    if i==2, TWO=0; else TWO=TWIN; end;
    ujhossz=round(k*(tt1(i)-tt1(i-1))+(1-k)*(tt2(i)-tt2(i-1)))-TWO;
    tmp1=IR1(tt1(i-1)+TWO/2+1:tt1(i)-TWO/2);
    tmp2=IR2(tt2(i-1)+TWO/2+1:tt2(i)-TWO/2);
    darab1=resample(tmp1,ujhossz,tt1(i)-tt1(i-1)-TWO);
    darab2=resample(tmp2,ujhossz,tt2(i)-tt2(i-1)-TWO);
    IRr=[IRr;z;k.*darab1+(1-k).*darab2];
end;
IRr=IRr(TWIN+TWIN/2+1:end);
IRi=IRi(1:length(IRr));

%plot(IRr); hold all; plot(IRi); hold off; 
%plot(IRr+IRi);

IRint=IRr+IRi;
honnan=length(IRint);
% itt vagy tail interpoláció lesz, vagy tail bemásolás
IRend=k.*IR1(honnan+1:end)+(1-k).*IR2(honnan+1:end);
IRint=[IRint;IRend];
